## linux 6.16.5

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 16
SUBLEVEL = 5
EXTRAVERSION =
NAME = Baby Opossum Posse

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

ifeq ($(filter output-sync,$(.FEATURES)),)
$(error GNU Make >= 4.0 is required. Your Make version is $(MAKE_VERSION))
endif

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))
abs_output := $(CURDIR)

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Most of build commands in Kbuild start with "cmd_". You can optionally define
# "quiet_cmd_*". If defined, the short log is printed. Otherwise, no log from
# that command is printed by default.
#
# e.g.)
#    quiet_cmd_depmod = DEPMOD  $(MODLIB)
#          cmd_depmod = $(srctree)/scripts/depmod.sh $(DEPMOD) $(KERNELRELEASE)
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#    $(Q)$(MAKE) $(build)=scripts/basic
#
# If KBUILD_VERBOSE contains 1, the whole command is echoed.
# If KBUILD_VERBOSE contains 2, the reason for rebuilding is printed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif

quiet = quiet_
Q = @

ifneq ($(findstring 1, $(KBUILD_VERBOSE)),)
  quiet =
  Q =
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
ifneq ($(findstring s,$(firstword -$(MAKEFLAGS))),)
quiet=silent_
override KBUILD_VERBOSE :=
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ("$(origin MO)", "command line")
  KBUILD_EXTMOD_OUTPUT := $(MO)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

ifeq ("$(origin W)", "command line")
  KBUILD_EXTRA_WARN := $(W)
endif

export KBUILD_EXTRA_WARN

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifdef KBUILD_EXTMOD
    ifdef KBUILD_OUTPUT
        objtree := $(realpath $(KBUILD_OUTPUT))
        $(if $(objtree),,$(error specified kernel directory "$(KBUILD_OUTPUT)" does not exist))
    else
        objtree := $(abs_srctree)
    endif
    # If Make is invoked from the kernel directory (either kernel
    # source directory or kernel build directory), external modules
    # are built in $(KBUILD_EXTMOD) for backward compatibility,
    # otherwise, built in the current directory.
    output := $(or $(KBUILD_EXTMOD_OUTPUT),$(if $(filter $(CURDIR),$(objtree) $(abs_srctree)),$(KBUILD_EXTMOD)))
    # KBUILD_EXTMOD might be a relative path. Remember its absolute path before
    # Make changes the working directory.
    srcroot := $(realpath $(KBUILD_EXTMOD))
    $(if $(srcroot),,$(error specified external module directory "$(KBUILD_EXTMOD)" does not exist))
else
    objtree := .
    output := $(KBUILD_OUTPUT)
endif

export objtree srcroot

# Do we want to change the working directory?
ifneq ($(output),)
# $(realpath ...) gets empty if the path does not exist. Run 'mkdir -p' first.
$(shell mkdir -p "$(output)")
# $(realpath ...) resolves symlinks
abs_output := $(realpath $(output))
$(if $(abs_output),,$(error failed to create output directory "$(output)"))
endif

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

export sub_make_done := 1

endif # sub_make_done

ifeq ($(abs_output),$(CURDIR))
# Suppress "Entering directory ..." if we are at the final work directory.
no-print-directory := --no-print-directory
else
# Recursion to show "Entering directory ..."
need-sub-make := 1
endif

ifeq ($(filter --no-print-directory, $(MAKEFLAGS)),)
# If --no-print-directory is unset, recurse once again to set it.
# You may end up recursing into __sub-make twice. This is needed due to the
# behavior change in GNU Make 4.4.1.
need-sub-make := 1
endif

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) $(no-print-directory) -C $(abs_output) \
	-f $(abs_srctree)/Makefile $(MAKECMDGOALS)

else # need-sub-make

# We process the rest of the Makefile if this is the final invocation of make

ifndef KBUILD_EXTMOD
srcroot := $(abs_srctree)
endif

ifeq ($(srcroot),$(CURDIR))
building_out_of_srctree :=
else
export building_out_of_srctree := 1
endif

ifdef KBUILD_ABS_SRCTREE
    # Do nothing. Use the absolute path.
else ifeq ($(srcroot),$(CURDIR))
    # Building in the source.
    srcroot := .
else ifeq ($(srcroot)/,$(dir $(CURDIR)))
    # Building in a subdirectory of the source.
    srcroot := ..
endif

export srctree := $(if $(KBUILD_EXTMOD),$(abs_srctree),$(srcroot))

ifdef building_out_of_srctree
export VPATH := $(srcroot)
else
VPATH :=
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
no-sync-config-targets := $(no-dot-config-targets) %install modules_sign kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.rsi %.s %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
        need-config :=
    endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
        may-sync-config :=
    endif
endif

need-compiler := $(may-sync-config)

ifneq ($(KBUILD_EXTMOD),)
    may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
    ifneq ($(filter %config,$(MAKECMDGOALS)),)
        config-build := 1
        ifneq ($(words $(MAKECMDGOALS)),1)
            mixed-build := 1
        endif
    endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
    single-build := 1
    ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
    ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
    ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(call read-file, $(objtree)/include/config/kernel.release)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=arm64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

=== drivers/virt/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for drivers that support virtualization
#

obj-$(CONFIG_FSL_HV_MANAGER)	+= fsl_hypervisor.o
obj-$(CONFIG_VMGENID)		+= vmgenid.o
obj-y				+= vboxguest/

obj-$(CONFIG_NITRO_ENCLAVES)	+= nitro_enclaves/
obj-$(CONFIG_ACRN_HSM)		+= acrn/
obj-y				+= coco/

=== arch/arm64/lib/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-y += crypto/

lib-y		:= clear_user.o delay.o copy_from_user.o		\
		   copy_to_user.o copy_page.o				\
		   clear_page.o csum.o insn.o memchr.o memcpy.o		\
		   memset.o memcmp.o strcmp.o strncmp.o strlen.o	\
		   strnlen.o strchr.o strrchr.o tishift.o

ifeq ($(CONFIG_KERNEL_MODE_NEON), y)
obj-$(CONFIG_XOR_BLOCKS)	+= xor-neon.o
CFLAGS_xor-neon.o		+= $(CC_FLAGS_FPU)
CFLAGS_REMOVE_xor-neon.o	+= $(CC_FLAGS_NO_FPU)
endif

lib-$(CONFIG_ARCH_HAS_UACCESS_FLUSHCACHE) += uaccess_flushcache.o

obj-$(CONFIG_CRC32_ARCH) += crc32-arm64.o
crc32-arm64-y := crc32.o crc32-core.o

obj-$(CONFIG_CRC_T10DIF_ARCH) += crc-t10dif-arm64.o
crc-t10dif-arm64-y := crc-t10dif.o crc-t10dif-core.o

obj-$(CONFIG_FUNCTION_ERROR_INJECTION) += error-inject.o

obj-$(CONFIG_ARM64_MTE) += mte.o

obj-$(CONFIG_KASAN_SW_TAGS) += kasan_sw_tags.o

=== arch/loongarch/kvm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for LoongArch KVM support
#

include $(srctree)/virt/kvm/Makefile.kvm

obj-$(CONFIG_KVM) += kvm.o

kvm-y += exit.o
kvm-y += interrupt.o
kvm-y += main.o
kvm-y += mmu.o
kvm-y += switch.o
kvm-y += timer.o
kvm-y += tlb.o
kvm-y += vcpu.o
kvm-y += vm.o
kvm-y += intc/ipi.o
kvm-y += intc/eiointc.o
kvm-y += intc/pch_pic.o
kvm-y += irqfd.o

CFLAGS_exit.o	+= $(call cc-disable-warning, override-init)

=== drivers/gpu/nova-core/Makefile ===
# SPDX-License-Identifier: GPL-2.0

obj-$(CONFIG_NOVA_CORE) += nova_core.o

=== drivers/i3c/master/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_CDNS_I3C_MASTER)		+= i3c-master-cdns.o
obj-$(CONFIG_DW_I3C_MASTER)		+= dw-i3c-master.o
obj-$(CONFIG_AST2600_I3C_MASTER)	+= ast2600-i3c-master.o
obj-$(CONFIG_SVC_I3C_MASTER)		+= svc-i3c-master.o
obj-$(CONFIG_MIPI_I3C_HCI)		+= mipi-i3c-hci/

=== drivers/platform/x86/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for linux/drivers/platform/x86
# x86 Platform-Specific Drivers
#

# Windows Management Interface
obj-$(CONFIG_ACPI_WMI)		+= wmi.o
obj-$(CONFIG_WMI_BMOF)		+= wmi-bmof.o

# WMI drivers
obj-$(CONFIG_HUAWEI_WMI)		+= huawei-wmi.o
obj-$(CONFIG_MXM_WMI)			+= mxm-wmi.o
obj-$(CONFIG_NVIDIA_WMI_EC_BACKLIGHT)	+= nvidia-wmi-ec-backlight.o
obj-$(CONFIG_XIAOMI_WMI)		+= xiaomi-wmi.o
obj-$(CONFIG_GIGABYTE_WMI)		+= gigabyte-wmi.o

# Acer
obj-$(CONFIG_ACERHDF)		+= acerhdf.o
obj-$(CONFIG_ACER_WIRELESS)	+= acer-wireless.o
obj-$(CONFIG_ACER_WMI)		+= acer-wmi.o

# AMD
obj-y				+= amd/

# Advantech
obj-$(CONFIG_ADV_SWBUTTON)	+= adv_swbutton.o

# Apple
obj-$(CONFIG_APPLE_GMUX)	+= apple-gmux.o

# ASUS
obj-$(CONFIG_ASUS_LAPTOP)	+= asus-laptop.o
obj-$(CONFIG_ASUS_WIRELESS)	+= asus-wireless.o
obj-$(CONFIG_ASUS_WMI)		+= asus-wmi.o
obj-$(CONFIG_ASUS_NB_WMI)	+= asus-nb-wmi.o
obj-$(CONFIG_ASUS_TF103C_DOCK)	+= asus-tf103c-dock.o
obj-$(CONFIG_EEEPC_LAPTOP)	+= eeepc-laptop.o
obj-$(CONFIG_EEEPC_WMI)		+= eeepc-wmi.o

# Cisco/Meraki
obj-$(CONFIG_MERAKI_MX100)	+= meraki-mx100.o

# Dell
obj-$(CONFIG_X86_PLATFORM_DRIVERS_DELL)		+= dell/

# Fujitsu
obj-$(CONFIG_AMILO_RFKILL)	+= amilo-rfkill.o
obj-$(CONFIG_FUJITSU_LAPTOP)	+= fujitsu-laptop.o
obj-$(CONFIG_FUJITSU_TABLET)	+= fujitsu-tablet.o

# GPD
obj-$(CONFIG_GPD_POCKET_FAN)	+= gpd-pocket-fan.o

# Hewlett Packard
obj-$(CONFIG_X86_PLATFORM_DRIVERS_HP)	+= hp/

# Hewlett Packard Enterprise
obj-$(CONFIG_UV_SYSFS)       += uv_sysfs.o

obj-$(CONFIG_FW_ATTR_CLASS)	+= firmware_attributes_class.o

# IBM Thinkpad and Lenovo
obj-$(CONFIG_IBM_RTL)		+= ibm_rtl.o
obj-$(CONFIG_IDEAPAD_LAPTOP)	+= ideapad-laptop.o
obj-$(CONFIG_LENOVO_WMI_HOTKEY_UTILITIES)	+= lenovo-wmi-hotkey-utilities.o
obj-$(CONFIG_LENOVO_YMC)	+= lenovo-ymc.o
obj-$(CONFIG_SENSORS_HDAPS)	+= hdaps.o
obj-$(CONFIG_THINKPAD_ACPI)	+= thinkpad_acpi.o
obj-$(CONFIG_THINKPAD_LMI)	+= think-lmi.o
obj-$(CONFIG_YOGABOOK)		+= lenovo-yogabook.o
obj-$(CONFIG_YT2_1380)		+= lenovo-yoga-tab2-pro-1380-fastcharger.o
obj-$(CONFIG_LENOVO_WMI_CAMERA)	+= lenovo-wmi-camera.o

# Intel
obj-y				+= intel/

# Microsoft
obj-$(CONFIG_ACPI_QUICKSTART)  += quickstart.o

# MeeGoPad
obj-$(CONFIG_MEEGOPAD_ANX7428)	+= meegopad_anx7428.o

# MSI
obj-$(CONFIG_MSI_EC)		+= msi-ec.o
obj-$(CONFIG_MSI_LAPTOP)	+= msi-laptop.o
obj-$(CONFIG_MSI_WMI)		+= msi-wmi.o
obj-$(CONFIG_MSI_WMI_PLATFORM)	+= msi-wmi-platform.o

# OLPC
obj-$(CONFIG_XO15_EBOOK)	+= xo15-ebook.o
obj-$(CONFIG_XO1_RFKILL)	+= xo1-rfkill.o

# PC Engines
obj-$(CONFIG_PCENGINES_APU2)	+= pcengines-apuv2.o

# Portwell
obj-$(CONFIG_PORTWELL_EC)	+= portwell-ec.o

# Barco
obj-$(CONFIG_BARCO_P50_GPIO)	+= barco-p50-gpio.o

# Samsung
obj-$(CONFIG_SAMSUNG_GALAXYBOOK)	+= samsung-galaxybook.o
obj-$(CONFIG_SAMSUNG_LAPTOP)		+= samsung-laptop.o
obj-$(CONFIG_SAMSUNG_Q10)		+= samsung-q10.o

# Toshiba
obj-$(CONFIG_TOSHIBA_BT_RFKILL)	+= toshiba_bluetooth.o
obj-$(CONFIG_TOSHIBA_HAPS)	+= toshiba_haps.o
obj-$(CONFIG_TOSHIBA_WMI)	+= toshiba-wmi.o

# toshiba_acpi must link after wmi to ensure that wmi devices are found
# before toshiba_acpi initializes
obj-$(CONFIG_ACPI_TOSHIBA)	+= toshiba_acpi.o

# Inspur
obj-$(CONFIG_INSPUR_PLATFORM_PROFILE)	+= inspur_platform_profile.o

# Dasharo
obj-$(CONFIG_DASHARO_ACPI)	+= dasharo-acpi.o

# Laptop drivers
obj-$(CONFIG_ACPI_CMPC)		+= classmate-laptop.o
obj-$(CONFIG_COMPAL_LAPTOP)	+= compal-laptop.o
obj-$(CONFIG_LG_LAPTOP)		+= lg-laptop.o
obj-$(CONFIG_PANASONIC_LAPTOP)	+= panasonic-laptop.o
obj-$(CONFIG_SONY_LAPTOP)	+= sony-laptop.o
obj-$(CONFIG_SYSTEM76_ACPI)	+= system76_acpi.o
obj-$(CONFIG_TOPSTAR_LAPTOP)	+= topstar-laptop.o

# Platform drivers
obj-$(CONFIG_SERIAL_MULTI_INSTANTIATE)	+= serial-multi-instantiate.o
obj-$(CONFIG_TOUCHSCREEN_DMI)		+= touchscreen_dmi.o
obj-$(CONFIG_WIRELESS_HOTKEY)		+= wireless-hotkey.o
obj-$(CONFIG_X86_ANDROID_TABLETS)	+= x86-android-tablets/

# Intel uncore drivers
obj-$(CONFIG_INTEL_IPS)				+= intel_ips.o

# Intel miscellaneous drivers
intel_p2sb-y				:= p2sb.o
obj-$(CONFIG_P2SB)			+= intel_p2sb.o

# Intel PMIC / PMC / P-Unit devices
obj-$(CONFIG_INTEL_SCU_IPC)		+= intel_scu_ipc.o
obj-$(CONFIG_INTEL_SCU_PCI)		+= intel_scu_pcidrv.o
obj-$(CONFIG_INTEL_SCU_PLATFORM)	+= intel_scu_pltdrv.o
obj-$(CONFIG_INTEL_SCU_WDT)		+= intel_scu_wdt.o
obj-$(CONFIG_INTEL_SCU_IPC_UTIL)	+= intel_scu_ipcutil.o
obj-$(CONFIG_X86_INTEL_LPSS)		+= pmc_atom.o

# Siemens Simatic Industrial PCs
obj-$(CONFIG_SIEMENS_SIMATIC_IPC)	+= siemens/

# Silicom
obj-$(CONFIG_SILICOM_PLATFORM)		+= silicom-platform.o

# TUXEDO
obj-y					+= tuxedo/

# Winmate
obj-$(CONFIG_WINMATE_FM07_KEYS)		+= winmate-fm07-keys.o

# SEL
obj-$(CONFIG_SEL3350_PLATFORM)		+= sel3350-platform.o

# OneXPlayer
obj-$(CONFIG_OXP_EC)			+= oxpec.o

=== drivers/soc/amlogic/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_MESON_CANVAS) += meson-canvas.o
obj-$(CONFIG_MESON_CLK_MEASURE) += meson-clk-measure.o
obj-$(CONFIG_MESON_GX_SOCINFO) += meson-gx-socinfo.o
obj-$(CONFIG_MESON_MX_SOCINFO) += meson-mx-socinfo.o

=== drivers/usb/dwc3/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# define_trace.h needs to know how to find our header
CFLAGS_trace.o				:= -I$(src)

obj-$(CONFIG_USB_DWC3)			+= dwc3.o

dwc3-y					:= core.o

ifneq ($(CONFIG_TRACING),)
	dwc3-y				+= trace.o
endif

ifneq ($(filter y,$(CONFIG_USB_DWC3_HOST) $(CONFIG_USB_DWC3_DUAL_ROLE)),)
	dwc3-y				+= host.o
endif

ifneq ($(filter y,$(CONFIG_USB_DWC3_GADGET) $(CONFIG_USB_DWC3_DUAL_ROLE)),)
	dwc3-y				+= gadget.o ep0.o
endif

ifneq ($(CONFIG_USB_DWC3_DUAL_ROLE),)
	dwc3-y				+= drd.o
endif

ifneq ($(CONFIG_USB_DWC3_ULPI),)
	dwc3-y				+= ulpi.o
endif

ifneq ($(CONFIG_DEBUG_FS),)
	dwc3-y				+= debugfs.o
endif

##
# Platform-specific glue layers go here
#
# NOTICE: Make sure your glue layer doesn't depend on anything
# which is arch-specific and that it compiles on all situations.
#
# We want to keep this requirement in order to be able to compile
# the entire driver (with all its glue layers) on several architectures
# and make sure it compiles fine. This will also help with allmodconfig
# and allyesconfig builds.
##

obj-$(CONFIG_USB_DWC3_AM62)		+= dwc3-am62.o
obj-$(CONFIG_USB_DWC3_OMAP)		+= dwc3-omap.o
obj-$(CONFIG_USB_DWC3_EXYNOS)		+= dwc3-exynos.o
obj-$(CONFIG_USB_DWC3_PCI)		+= dwc3-pci.o
obj-$(CONFIG_USB_DWC3_HAPS)		+= dwc3-haps.o
obj-$(CONFIG_USB_DWC3_KEYSTONE)		+= dwc3-keystone.o
obj-$(CONFIG_USB_DWC3_MESON_G12A)	+= dwc3-meson-g12a.o
obj-$(CONFIG_USB_DWC3_OF_SIMPLE)	+= dwc3-of-simple.o
obj-$(CONFIG_USB_DWC3_ST)		+= dwc3-st.o
obj-$(CONFIG_USB_DWC3_QCOM)		+= dwc3-qcom.o
obj-$(CONFIG_USB_DWC3_QCOM)		+= dwc3-qcom-legacy.o
obj-$(CONFIG_USB_DWC3_IMX8MP)		+= dwc3-imx8mp.o
obj-$(CONFIG_USB_DWC3_XILINX)		+= dwc3-xilinx.o
obj-$(CONFIG_USB_DWC3_OCTEON)		+= dwc3-octeon.o
obj-$(CONFIG_USB_DWC3_RTK)		+= dwc3-rtk.o

=== sound/isa/es1688/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for ALSA
# Copyright (c) 2001 by Jaroslav Kysela <perex@perex.cz>
#

snd-es1688-lib-y := es1688_lib.o
snd-es1688-y := es1688.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_ES1688) += snd-es1688.o snd-es1688-lib.o
obj-$(CONFIG_SND_GUSEXTREME) += snd-es1688-lib.o

=== arch/mips/loongson32/common/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for common code of loongson1 based machines.
#

obj-y	+= time.o irq.o platform.o prom.o setup.o

=== arch/riscv/kernel/probes/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_KPROBES)		+= kprobes.o decode-insn.o simulate-insn.o
obj-$(CONFIG_RETHOOK)		+= rethook.o rethook_trampoline.o
obj-$(CONFIG_UPROBES)		+= uprobes.o decode-insn.o simulate-insn.o
CFLAGS_REMOVE_simulate-insn.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_rethook.o = $(CC_FLAGS_FTRACE)
CFLAGS_REMOVE_rethook_trampoline.o = $(CC_FLAGS_FTRACE)

=== debian/changelog ===
linux (6.16.5-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.16.4
    - serial: 8250: fix panic due to PSLVERR
    - ata: Fix SATA_MOBILE_LPM_POLICY description in Kconfig
    - platform/chrome: cros_ec: Unregister notifier in cros_ec_unregister()
    - PM: runtime: Take active children into account in
      pm_runtime_get_if_in_use()
    - dm: dm-crypt: Do not partially accept write BIOs with zoned targets
    - dm: Check for forbidden splitting of zone write operations
    - usb: atm: cxacru: Merge cxacru_upload_firmware() into cxacru_heavy_init()
    - usb: gadget: udc: renesas_usb3: fix device leak at unbind
    - usb: musb: omap2430: fix device leak at unbind
    - [arm64,armhf] usb: dwc3: meson-g12a: fix device leaks at unbind
    - [arm64] usb: dwc3: imx8mp: fix device leak at unbind
    - bus: mhi: host: Fix endianness of BHI vector table
    - bus: mhi: host: Detect events pointing to unexpected TREs
    - vt: keyboard: Don't process Unicode characters in K_OFF mode
    - vt: defkeymap: Map keycodes above 127 to K_HOLE
    - netfs: Fix unbuffered write error handling
    - [armel,armhf] lib/crypto: arm/poly1305: Fix register corruption in no-SIMD
      contexts
    - [arm64] lib/crypto: arm64/poly1305: Fix register corruption in no-SIMD
      contexts
    - [amd64] crypto: qat - lower priority for skcipher and aead algorithms
    - [amd64] crypto: ccp - Fix SNP panic notifier unregistration
    - [arm64,armhf] crypto: caam - Prevent crash on suspend with iMX8QM /
      iMX8ULP
    - [amd64] crypto: qat - flush misc workqueue during device shutdown
    - [amd64] crypto: x86/aegis - Fix sleeping when disallowed on PREEMPT_RT
    - [amd64] crypto: x86/aegis - Add missing error checks
    - crypto: hash - Increase HASH_MAX_DESCSIZE for hmac(sha3-224-s390)
    - Revert "vgacon: Add check for vc_origin address range in vgacon_scroll()"
    - ksmbd: fix refcount leak causing resource not released
    - ksmbd: extend the connection limiting mechanism to support IPv6
    - tracing: fprobe-event: Sanitize wildcard for fprobe event name
    - ext4: preserve SB_I_VERSION on remount
    - ext4: check fast symlink for ea_inode correctly
    - ext4: fix fsmap end of range reporting with bigalloc
    - ext4: fix reserved gdt blocks handling in fsmap
    - ext4: use kmalloc_array() for array space allocation
    - ext4: fix hole length calculation overflow in non-extent inodes
    - btrfs: zoned: fix write time activation failure for metadata block group
    - btrfs: fix incorrect log message for nobarrier mount option
    - btrfs: restore mount option info messages during mount
    - btrfs: fix printing of mount info messages for NODATACOW/NODATASUM
    - [arm64] dts: apple: t8012-j132: Include touchbar framebuffer node
    - [arm64] dts: ti: k3-am62-main: Remove eMMC High Speed DDR support
    - [arm64] dts: exynos7870-j6lte: reduce memory ranges to base amount
    - [arm64] dts: ti: k3-pinctrl: Enable Schmitt Trigger by default
    - [arm64] dts: exynos7870: add quirk to disable USB2 LPM in gadget mode
    - [arm64] dts: rockchip: Add HDMI PHY PLL clock source to VOP2 on rk3576
    - [arm64] dts: rockchip: Enable HDMI PHY clk provider on rk3576
    - [arm64] dts: exynos: gs101: ufs: add dma-coherent property
    - [arm64] dts: ti: k3-am62a7-sk: fix pinmux for main_uart1
    - [arm64] dts: ti: k3-am62*: Move eMMC pinmux to top level board file
    - [arm64] dts: exynos7870-on7xelte: reduce memory ranges to base amount
    - [arm64] dts: ti: k3-am62-verdin: Enable pull-ups on I2C buses
    - [arm64] dts: rockchip: Remove workaround that prevented Turing RK1 GPU
      power regulator control
    - apparmor: Fix 8-byte alignment for initial dfa blob streams
    - dt-bindings: display: sprd,sharkl3-dpu: Fix missing clocks constraints
    - dt-bindings: display: sprd,sharkl3-dsi-host: Fix missing clocks
      constraints
    - dt-bindings: display: vop2: Add optional PLL clock property for rk3576
    - scsi: dt-bindings: mediatek,ufs: Add ufs-disable-mcq flag for UFS host
    - [arm64] scsi: ufs: exynos: Fix programming of HCI_UTRL_NEXUS_TYPE
    - scsi: mpi3mr: Fix race between config read submit and interrupt completion
    - ata: libata-scsi: Fix ata_to_sense_error() status handling
    - ata: libata-scsi: Return aborted command when missing sense and result TF
    - scsi: ufs: ufs-pci: Fix hibernate state transition for Intel MTL-like host
      controllers
    - scsi: ufs: ufs-pci: Fix default runtime and system PM levels
    - ata: libata-scsi: Fix CDL control
    - [arm64] soc: qcom: mdt_loader: Ensure we don't read past the ELF header
    - iio: imu: bno055: fix OOB access of hw_xlate array
    - iio: adc: ad_sigma_delta: change to buffer predisable
    - iio: adc: ad7173: fix channels index for syscalib_mode
    - iio: adc: ad7173: fix calibration channel
    - iio: adc: ad7173: fix setting ODR in probe
    - wifi: brcmsmac: Remove const from tbl_ptr parameter in
      wlc_lcnphy_common_read_table()
    - wifi: ath12k: fix dest ring-buffer corruption
    - wifi: ath12k: fix source ring-buffer corruption
    - wifi: ath12k: fix dest ring-buffer corruption when ring is full
    - wifi: ath11k: fix dest ring-buffer corruption
    - wifi: ath11k: fix source ring-buffer corruption
    - wifi: ath11k: fix dest ring-buffer corruption when ring is full
    - pwm: mediatek: Handle hardware enable and clock enable separately
    - pwm: mediatek: Fix duty and period setting
    - mtd: spi-nor: Fix spi_nor_try_unlock_all()
    - [arm64] mtd: spinand: propagate spinand_wait() errors from
      spinand_write_page()
    - [arm64] mfd: mt6397: Do not use generic name for keypad sub-devices
    - readahead: fix return value of page_cache_next_miss() when no hole is
      found
    - PCI/portdrv: Use is_pciehp instead of is_hotplug_bridge
    - PCI: Fix link speed calculation on retrain failure


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:native, python3-dacite:native, python3-jinja2:native, quilt, dh-python <!pkg.linux.notools>
Build-Depends-Arch: bc <!pkg.linux.nokernel>, libssl-dev:native <!pkg.linux.nokernel>, libssl-dev <!pkg.linux.notools>, openssl <!pkg.linux.nokernel>, libelf-dev:native <!pkg.linux.nokernel>, libelf-dev [linux-any] <!pkg.linux.notools>, lz4 [amd64 arm64] <!pkg.linux.nokernel>, pahole <!pkg.linux.nokernel> | dwarves:native (>= 1.16~) <!pkg.linux.nokernel>, cpio <!pkg.linux.nokernel>, xz-utils <!pkg.linux.nokernel>, zstd <!pkg.linux.nokernel>, bison <!pkg.linux.nokernel>, bison <!pkg.linux.notools>, flex <!pkg.linux.nokernel>, flex <!pkg.linux.notools>, gcc-14-for-host [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel>, gcc-14-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel>, python3-docutils [amd64 arm64 armhf i386 linux-any x32] <!pkg.linux.mintools !pkg.linux.notools>, binutils-dev [hppa] <!pkg.linux.mintools !pkg.linux.notools>, zlib1g-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libcap-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libpci-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libnl-genl-3-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, asciidoctor [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nodoc !nopython !pkg.linux.mintools !pkg.linux.notools>, gcc-multilib [amd64 mips64 mips64el mips64r6 mips64r6el ppc64 s390x sparc64] <!cross !nopython !pkg.linux.mintools !pkg.linux.notools>, libaudit-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libbabeltrace-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdebuginfod-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libdw-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnewt-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libnuma-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libopencsd-dev (>= 1.1.1) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libperl-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libpython3-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libtraceevent-dev (>= 1:1.5) [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64 x32] <!pkg.linux.mintools !pkg.linux.notools>, libunwind-dev [amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el sh4] <!nopython !pkg.linux.mintools !pkg.linux.notools>, libzstd-dev [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-dev:any [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, python3-setuptools [alpha amd64 arm64 armel armhf hppa i386 loong64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64] <!nopython !pkg.linux.mintools !pkg.linux.notools>, autoconf [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, automake [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtool [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libglib2.0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libudev-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libwrap0-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, rsync [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libtracefs-dev (>= 1.3) [amd64 arm64 armhf i386 x32] <!pkg.linux.mintools !pkg.linux.notools>, libconfig-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, libncurses-dev [linux-any] <!pkg.linux.mintools !pkg.linux.notools>, kernel-wedge (>= 2.105~) [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>, kmod [alpha amd64 arm64 armel armhf hppa loong64 m68k mips mips64 mips64el mips64r6el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!pkg.linux.nokernel>
Build-Depends-Indep: cpio <!nodoc !pkg.linux.quick>, graphviz <!nodoc !pkg.linux.quick>, python3-sphinx <!nodoc !pkg.linux.quick>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick>, texlive-latex-base <!nodoc !pkg.linux.quick>, texlive-latex-extra <!nodoc !pkg.linux.quick>, dvipng <!nodoc !pkg.linux.quick>, python3-yaml <!nodoc !pkg.linux.quick>, sphinx-common <!nodoc !pkg.linux.quick>, patchutils <!pkg.linux.nosource !pkg.linux.quick>, xz-utils <!pkg.linux.nosource !pkg.linux.quick>, rsync
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: bpftool
Architecture: linux-any
Section: devel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Inspection and simple manipulation of BPF programs and maps
 The bpftool command allows for inspection and simple modification of
 Berkeley Packet Filter (BPF) objects on the system.

Package: hyperv-daemons
Architecture: amd64 arm64 i386 x32
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Support daemons for Linux running on Hyper-V
 Suite of daemons for Linux guests running on Hyper-V, consisting of
 hv_kvp_daemon and hv_vss_daemon.
 .
 hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host
 to get and set the IP networking configuration of the guest.  (This
 requires helper scripts which are not currently included.)
 .
 hv_vss_daemon provides the volume shadow copy service (VSS), allowing the
 host to freeze the guest filesystems while taking a snapshot.

Package: intel-sdsi
Architecture: amd64
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel On Demand (SDSi) provisioning tool
 intel_sdsi is a tool for key certificate and activation payload
 provisioning on Intel Xeon family processors with support for Intel On
 Demand (formerly known as Software Defined Silicon or SDSi).
 .
 intel_sdsi allows the configuration of additional CPU features through a
 license activation process.

Package: libcpupower-dev
Architecture: linux-any
Section: libdevel
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Provides: libcpufreq-dev
Depends: ${misc:Depends}, libcpupower1 (= ${binary:Version})
Replaces: libcpufreq-dev
Conflicts: libcpufreq-dev
Description: CPU frequency and voltage scaling tools for Linux (development files)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package is needed to compile programs against libcpupower.

Package: libcpupower1
Architecture: linux-any
Section: libs
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU frequency and voltage scaling tools for Linux (libraries)
 libcpupower is a library for inspecting and controlling cpufreq and
 cpuidle tunables.
 .
 This package contains the shared library.

Package: linux-bpf-dev
Architecture: alpha amd64 arm64 armhf hppa loong64 m68k ppc64 ppc64el riscv64 s390x sparc64
Section: devel
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Depends: ${misc:Depends}
Multi-Arch: same
Description: Headers for BPF development
 The vmlinux.h header is provided to allow userspace to build BPF CO-RE
 programs targeting the packaged kernel.

Package: linux-config-6.16
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource>
Depends: ${misc:Depends}
Recommends: linux-source-6.16
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.16
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-cpupower
Architecture: linux-any
Section: admin
Build-Profiles: <!pkg.linux.mintools !pkg.linux.notools>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CPU power management tools for Linux
 The cpupower command allows inspection and control of cpufreq and cpuidle
 tunables for hardware that supports these features.  It replaces
 "cpufreq-info" and "cpufreq-set" in cpufrequtils.
 .
 ${cpupower:Arch-Description}

Package: linux-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-doc-6.16 (= ${binary:Version}), ${misc:Depends}
Description: Linux kernel specific documentation (meta-package)
 This package depends on the package containing the documentation for the
 latest Linux kernel.

Package: linux-doc-6.16
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick>
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign

=== debian/tests/control ===
Test-Command: py.test debian/lib/python
Restrictions: superficial
Depends: python3-pytest, python3-jinja2

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-alpha-generic
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-generic
Depends: linux-headers-6.16.5+deb14-alpha-generic, linux-image-6.16.5+deb14-alpha-generic

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-alpha-smp
Architecture: alpha
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-alpha-smp
Depends: linux-headers-6.16.5+deb14-alpha-smp, linux-image-6.16.5+deb14-alpha-smp

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-amd64
Depends: linux-headers-6.16.5+deb14-amd64, linux-image-6.16.5+deb14-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-cloud-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-amd64
Depends: linux-headers-6.16.5+deb14-cloud-amd64, linux-image-6.16.5+deb14-cloud-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-rt-amd64
Architecture: amd64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-amd64
Depends: linux-headers-6.16.5+deb14-rt-amd64, linux-image-6.16.5+deb14-rt-amd64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64
Depends: linux-headers-6.16.5+deb14-arm64, linux-image-6.16.5+deb14-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-cloud-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-cloud-arm64
Depends: linux-headers-6.16.5+deb14-cloud-arm64, linux-image-6.16.5+deb14-cloud-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-arm64-16k
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-arm64-16k
Depends: linux-headers-6.16.5+deb14-arm64-16k, linux-image-6.16.5+deb14-arm64-16k-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-rt-arm64
Architecture: arm64
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rt-arm64
Depends: linux-headers-6.16.5+deb14-rt-arm64, linux-image-6.16.5+deb14-rt-arm64-unsigned

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-rpi
Architecture: armel
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-rpi
Depends: linux-headers-6.16.5+deb14-rpi, linux-image-6.16.5+deb14-rpi

Test-Command: debian/tests/headers-kbuild 6.16.5+deb14-armmp
Architecture: armhf
Restrictions: skip-not-installable, superficial
Features: test-name=headers-kbuild-armmp
Depends: linux-headers-6.16.5+deb14-armmp, linux-image-6.16.5+deb14-armmp
